javax.management.remote

## Class JMXProviderException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - javax.management.remote.JMXProviderException

All Implemented Interfaces:
  Serializable

    public class JMXProviderException
    extends IOException

Exception thrown by `JMXConnectorFactory` and `JMXConnectorServerFactory` when a provider exists for the required protocol but cannot be used for some reason.

Since:
  1.5
See Also:
  `JMXConnectorFactory.newJMXConnector(javax.management.remote.JMXServiceURL, java.util.Map<java.lang.String, ?>)`, `JMXConnectorServerFactory.newJMXConnectorServer(javax.management.remote.JMXServiceURL, java.util.Map<java.lang.String, ?>, javax.management.MBeanServer)`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`JMXProviderException()` Constructs a `JMXProviderException` with no specified detail message.
`JMXProviderException(String message)` Constructs a `JMXProviderException` with the specified detail message.
`JMXProviderException(String message, Throwable cause)` Constructs a `JMXProviderException` with the specified detail message and nested exception.

### Method Summary

Methods
`Throwable` `getCause()` Returns the cause of this throwable or `null` if the cause is nonexistent or unknown.

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### JMXProviderException

    public JMXProviderException()

Constructs a `JMXProviderException` with no specified detail message.

#### JMXProviderException

    public JMXProviderException(String message)

Constructs a `JMXProviderException` with the specified detail message.

Parameters:
  `message` - the detail message

#### JMXProviderException

    public JMXProviderException(String message,
                        Throwable cause)

Constructs a `JMXProviderException` with the specified detail message and nested exception.

Parameters:
  `message` - the detail message
  `cause` - the nested exception

### Method Detail

#### getCause

    public Throwable getCause()

Description copied from class: `Throwable`
Returns the cause of this throwable or `null` if the cause is nonexistent or unknown. (The cause is the throwable that caused this throwable to get thrown.)

This implementation returns the cause that was supplied via one of the constructors requiring a `Throwable`, or that was set after creation with the `Throwable.initCause(Throwable)` method. While it is typically unnecessary to override this method, a subclass can override it to return a cause set by some other means. This is appropriate for a "legacy chained throwable" that predates the addition of chained exceptions to `Throwable`. Note that it is not necessary to override any of the `PrintStackTrace` methods, all of which invoke the `getCause` method to determine the cause of a throwable.

Overrides:
  `getCause` in class `Throwable`
Returns:
  the cause of this throwable or `null` if the cause is nonexistent or unknown.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.